<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.messaging-activemq.server.ha-policy.replication-primary">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="check-for-live-server,cluster-name,group-name,initial-replication-sync-timeout"/>
        <elem name="addr-params" value="profile,subsystem,server,ha-policy"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.messaging-activemq"/>
    </annotation>
    <refs>
        <ref feature="subsystem.messaging-activemq.server"/>
        <ref feature="subsystem.messaging-activemq"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="server" feature-id="true"/>
        <param name="ha-policy" feature-id="true" default="replication-primary"/>
        <param name="group-name" nillable="true"/>
        <param name="check-for-live-server" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="initial-replication-sync-timeout" nillable="true"/>
        <param name="subsystem" feature-id="true" default="messaging-activemq"/>
        <param name="cluster-name" nillable="true"/>
    </params>
</feature-spec>